## org.apache.cocoon.xml
Interface XMLFragment

public interface XMLFragment

This interface must be implemented by classes willing to provide an XML representation of their current state.
This class replaces the Cocoon1 `XObject` class by using the SAX2 `ContentHandler` and exists in both Cocoon1 and Cocoon2 to ensure compatibility.

Version:
  CVS $Revision: 1.2 $ $Date: 2001/01/17 16:02:20 $
Author:
  Sylvain Wallez, Ricardo Rocha for the original XObject class

Method Summary
`void` `toDOM(org.w3c.dom.Node node)` Appends children representing the object's state to the given node.
`void` `toSAX(org.xml.sax.ContentHandler handler)` Generates SAX events representing the object's state for the given content handler.

Method Detail

### toSAX

    public void toSAX(org.xml.sax.ContentHandler handler)
               throws org.xml.sax.SAXException

  Generates SAX events representing the object's state for the given content handler.

### toDOM

    public void toDOM(org.w3c.dom.Node node)
               throws java.lang.Exception

  Appends children representing the object's state to the given node.

Copyright © 1999-2001 Apache Software Foundation. All Rights Reserved.